summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorGravatar Cristian Ionescu-Idbohrn <cristian.ionescu-idbohrn@axis.com>2013-05-12 11:51:14 +0200
committerGravatar Dirk Hohndel <dirk@hohndel.org>2013-05-12 07:23:55 -0700
commitb994b534c50932f6318bf4e9d40fdc0e1845cb7d (patch)
tree44550960dfda3820f19359e7a0c8b03455aeb5f2 /scripts
parent6d19e9c7ea86dbb03ab9d9d7882c886428174b75 (diff)
downloadsubsurface-b994b534c50932f6318bf4e9d40fdc0e1845cb7d.tar.gz
Match less; don't ignore case.
Still, some false positives show up ('Veo 3.0' is one of them). Signed-off-by: Cristian Ionescu-Idbohrn <cristian.ionescu-idbohrn@axis.com> Signed-off-by: Dirk Hohndel <dirk@hohndel.org>
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/check-version4
1 files changed, 3 insertions, 1 deletions
diff --git a/scripts/check-version b/scripts/check-version
index 66ee0861d..29719a76f 100755
--- a/scripts/check-version
+++ b/scripts/check-version
@@ -77,7 +77,9 @@ done
sts=0
whine "checking for version $v"
for f in $files; do
- grep $opts -EHi "(VERSION=|subsurface[[:blank:]]+)?\<v?$v[.0-9]*\>" $f || {
+ grep -EH $opts \
+ -e "(VERSION=|[Ss]ubsurface[[:blank:]]+)?\<v?$v[.0-9]*\>" \
+ $f || {
[ $release != y ] || sts=1
whine "'$f' may need updating"
}